class BallInfo extends MobileObject
{
	public boolean lost;

	public BallInfo()
	{
		super("ball");

		lost=false;
	}

	public BallInfo(BallInfo ball)
	{
		super((MobileObject)ball);

		lost=ball.lost;
	}

	public float KickRate()
	{
		return (float)SoccerParams.KICK_POWER_RATE * (1 - (float)0.25*Math.abs(m_direction)/180 - (float)0.25*(m_distance-(float)SoccerParams.BALL_SIZE-(float)SoccerParams.PLAYER_SIZE)/(float)SoccerParams.KICKABLE_AREA);
	}

	public boolean GoodPrediction()
	{
		return (m_prediction < SoccerParams.BALL_PREDICTION_CONFIDENCE);
	}

	public boolean CanKick()
	{
		 return ( m_distance <= SoccerParams.KICKABLE_AREA );
	}
}

