import java.io.*;
import java.net.*;

class HearPlayers extends Thread
{
	public rogi2		m_rogi2;
	public int		m_number;
	public DatagramSocket	m_socket;

	public HearPlayers(rogi2 r2, int number)
	{
		m_rogi2 = r2;
		m_number = number;

		start();
	}
																 
	public void run()
	{
		try
		{
			m_socket = new DatagramSocket(6000-m_number);

			while( true ) 
			{
				String message = receive();

				HearInfo info = new HearInfo(message);
				m_rogi2.m_brain.hear(info);
			}
		}
		catch (Exception e)
		{
			System.out.println("Error al rebre informacio dels jugadors !");
		}
	}

	public String receive() 
	{
		byte[] buffer = new byte[SoccerParams.SOCCERSERVER_MSG_SIZE];
		DatagramPacket packet = new DatagramPacket(buffer, SoccerParams.SOCCERSERVER_MSG_SIZE);

		try
		{
			m_socket.receive(packet);
		}
		catch(IOException e)
		{
			System.err.println("socket receiving error " + e);
		}
		return new String(buffer);
	}
}