class LineInfo extends StaticObject
{
	char	m_kind;				// l|r|t|b

	public LineInfo()
	{
		super("line");
	}

	
	public LineInfo(char kind)
	{
		super("line");
		m_kind = kind;
	}

  	public float getMyDir ()
	{
		switch (m_kind) 
		{
			case 't': return (m_direction > 0) ? 360-m_direction : 180-m_direction;
			case 'b': return (m_direction < 0) ? -m_direction : 180-m_direction;
			case 'l': return (m_direction < 0) ? 90-m_direction : 270-m_direction;
			case 'r': return (m_direction > 0) ? 90-m_direction : -(m_direction+90);
		}

		return 0;
  	}

	public void print()
	{
		super.print();
		System.out.println("KIND= "+m_kind);
	}
}


