class PlayerInfo extends MobileObject
{
	public String	m_team;
	public int	m_number;
	public float	FaceDir;
	public float	HeadDir;
	public float	m_stamina;
	public float	m_effort;
	public float	m_recover;

	public PlayerInfo()
	{
		super("player");
	}
	
	public PlayerInfo(PlayerInfo p)
	{
		super((MobileObject)p);

		m_team = p.m_team;
		m_number = p.m_number;
		FaceDir = p.FaceDir;
		HeadDir = p.HeadDir;
		m_stamina = p.m_stamina;
		m_effort = p.m_effort;
		m_recover = p.m_recover;
	}
	
	public PlayerInfo(String team, int number)
	{
		super("player");
		m_team = team;
		m_number = number;
		FaceDir = 0;
		HeadDir = 0;
		m_stamina = SoccerParams.STAMINA_MAX;
		m_effort = 1;
		m_recover = 1;
	}

	public boolean GoodPrediction()
	{
		return (m_prediction < SoccerParams.PLAYER_PREDICTION_CONFIDENCE);
	}

	public void print()
	{
		super.print();
		System.out.println("TEAM= "+m_team+" NUMBER="+m_number+" PREDICTION="+m_prediction);
	}
}

