import java.lang.Math;
import java.util.StringTokenizer;

class Position
{
	public static int	GOOD_DIRECTION 			= 3;

	// the absolute coordenades
	public float X, Y;

	// the direction and the distance relative to me
	public float dir, dist;

	Functions f = new Functions();

	public Position(float x, float y, float direction, float distance)
	{
		X=x;
		Y=y;
		dir=direction;
		dist=distance;
	}

	public Position(Position p)
	{
		X = p.X;
		Y = p.Y;
		dir = p.dir;
		dist = p.dist;
	}

	public Position(float dir2, float dist2, char side, float myX, float myY, float myDir)
	{
		dir=f.StandarizeAngle(dir2);
		dist=dist2;
		
		if (side == 'l')
		{
			X=(float)(myX+dist*Math.cos(f.radiants(dir+myDir)));
			Y=(float)(myY+dist*Math.sin(f.radiants(dir+myDir)));
		}
		else
		{
			X=(float)(myX-dist*Math.cos(f.radiants(dir+myDir)));
			Y=(float)(myY-dist*Math.sin(f.radiants(dir+myDir)));
		}
	}

	public Position(char side, float X2, float Y2, float myX, float myY, float myDir)
	{
		X=X2;
		Y=Y2;
		dist=(float)Math.sqrt((X-myX)*(X-myX)+(Y-myY)*(Y-myY));

		if ((X==myX)&&(Y==myY)) dir=0;
		else
		{
			if (side == 'l')
			{
				if (Y>myY) dir=f.StandarizeAngle(f.degrees((float)Math.acos((X-myX)/dist))-myDir);
				else dir=f.StandarizeAngle(-f.degrees((float)Math.acos((X-myX)/dist))-myDir);
			}
			else
			{
				if (Y>myY) dir=f.StandarizeAngle(-f.degrees((float)Math.acos((myX-X)/dist))-myDir);
				else dir=f.StandarizeAngle(f.degrees((float)Math.acos((myX-X)/dist))-myDir);
			}
		}
	}

	public float Distance(Position p)
	{
		return (float)Math.sqrt((X-p.X)*(X-p.X) + (Y-p.Y)*(Y-p.Y));
	}

	public boolean GoodDirection()
	{
//		if ((f.StandarizeAngle(dir) < GOOD_DIRECTION) && (f.StandarizeAngle(dir) > -GOOD_DIRECTION)) return true;
//		else return false;
		float lim = 20/dist;
		if (lim < 3) lim = 3;
		else if (lim > 20) lim = 20;

		dir = f.StandarizeAngle(dir);

		if ((dir < lim) && (dir > -lim)) return true;
		else return false;
	}

	public void print()
	{
		System.out.println("POSITION  X="+X+" Y="+Y+" dir="+dir+" dist="+dist);
	}
}
