import java.io.*;
import java.net.*;

class SendPlayers
{
	DatagramSocket  m_socket;
	int		m_number;

	public SendPlayers(int number)
	{
		m_number = number;

		try
		{
			m_socket = new DatagramSocket();
		}
		catch (Exception e)
		{
			System.err.println("socket error " + e);
		}
	}

	public void say(String message, int receiver)
	{
		if (receiver == 0)
		{
			for (int player=1; player<=11; player++)
			{
				if (player != m_number) send(message, player);
			}
		}
		else send(message, receiver);
	}

	public void send(String message, int receiver)
	{
		try
		{
			InetAddress h = InetAddress.getByName("");
			byte[] buffer = message.getBytes();
			DatagramPacket packet = new DatagramPacket(buffer, buffer.length, InetAddress.getByName(""), 6000-receiver);

			m_socket.send(packet);
		}
		catch(IOException e)
		{
			System.err.println("socket sending error " + e);
		}
	}
}