import java.lang.Math;

class SoccerParams 
{
	public static double	GOAL_WIDTH			= 14.02;
	public static double	PLAYER_SIZE 			= 0.3;
	public static double	PLAYER_DECAY			= 0.4;
	public static double	PLAYER_RAND			= 0.1;
	public static double	PLAYER_WEIGHT			= 60.0;
	public static double	PLAYER_SPEED_MAX		= 1.0;
	public static int	STAMINA_MAX			= 350000;
	public static double	STAMINA_INC_MAX			= 35.0;
	public static double 	RECOVER_DEC_THR			= 0.3;
	public static double 	RECOVER_DEC			= 0.002;
	public static double 	RECOVER_MIN			= 0.5;
	public static double 	EFFORT_DEC_THR			= 0.3;
	public static double 	EFFORT_DEC			= 0.05;
	public static double 	EFFORT_INC_THR			= 0.6;
	public static double 	EFFORT_INC			= 0.1;
	public static double 	EFFORT_MIN			= 0.6;
	public static int 	HEAR_MAX			= 2;
	public static int 	HEAR_INC			= 1;
	public static int 	HEAR_DECAY			= 2;
	public static double 	INERTIA_MOMENT			= 5.0;
	public static double	CATCHABLE_AREA_L		= 2.0;
	public static double	CATCHABLE_AREA_W		= 1.0;
	public static double	CATCH_PROBABILITY		= 1.0;
	public static int	CATCH_BAN_CICLE			= 5;
	public static double	BALL_SIZE 			= 0.085;
	public static double	BALL_DECAY			= 0.94;
	public static double	BALL_RAND			= 0.05;
	public static double	BALL_WEIGHT			= 0.2;
	public static double	BALL_SPEED_MAX			= 2.7;
	public static double	WIND_FORCE			= 0.0;
	public static double	WIND_DIR			= 0.0;
	public static double	WIND_RAND			= 0.0;
	public static double	KICKABLE_MARGIN			= 0.7;
	public static double	CKICK_MARGIN			= 1.0;
	public static double	DASH_POWER_RATE			= 0.006;
	public static double	KICK_POWER_RATE			= 0.016;
	public static int	VISIBLE_ANGLE			= 90;
	public static double	AUDIO_CUT_DIST			= 50.0;
	public static double	QUANTIZE_STEP			= 0.1;
	public static double	QUANTIZE_STEP_L			= 0.01;
	public static int	MAX_POWER			= 100;
	public static int	MIN_POWER			= -100;
	public static int	MAX_MOMENT			= 180;
	public static int	MIN_MOMENT			= -180;
	public static int	SIMULATOR_STEP			= 100;
	public static int	SEND_STEP			= 150;
	public static int	RECV_STEP			= 150;
	public static int	HALF_TIME			= 300;
	public static int	SAY_MSG_SIZE			= 512;
	public static double	OFFSIDE_ACTIVE_AREA_SIZE	= 9.15;
	public static int	MAX_NECK_ANG			= 90;
	public static int	MIN_NECK_ANG			= -90;
	public static double	VISIBLE_DISTANCE		= 3.0;

	public static double	CLOSE_MARGIN			= PLAYER_SIZE + 3.0*BALL_SIZE;
	public static double	CONTROL_DIST			= PLAYER_SIZE + 0.8*KICKABLE_MARGIN;
	public static double	LENGTH_MAGNIFY			= 4.0;
	public static double	FIELD_WIDTH 			= 105.0;
	public static double	FIELD_HEIGHT 			= 68.0;
	public static double	PENALTY_WIDTH 			= 16.0;
	public static double	PENALTY_HEIGHT 			= 40.0;
	public static double	KICKABLE_AREA 			= KICKABLE_MARGIN+BALL_SIZE+PLAYER_SIZE;
	public static int	CONTROL_VIEW_MOMENT		= 60;
	public static int	PASS_VIEW_MOMENT		= 50;
	public static int	KICK_VIEW_MOMENT		= 40;
	public static int	BALL_PREDICTION_CONFIDENCE 	= 25;
	public static int	PLAYER_PREDICTION_CONFIDENCE 	= 30;
	public static int	PREDICTION_CICLES	 	= 5;

	public static int	SOCCERSERVER_MSG_SIZE		= 2048;
	public static int	PLAYERS_MSG_SIZE		= 512;
	public static int	SOCCERSERVER_PORT		= 6000;
	public static int	PLAYERS_PORT			= 5999;
}

