class ObjectInfo 
{
	public String		m_type;
	public float		m_distance;
	public float		m_direction;
	public float		m_distChange;
	public float		m_dirChange;
	public Position		m_position;

	public ObjectInfo(String type)
	{
		m_type = type;
		m_distance = 0;
		m_direction = 0;
		m_distChange = -1;
		m_dirChange = 0;
	}

	public ObjectInfo(ObjectInfo o)
	{
		m_type = o.m_type;
		m_distance = o.m_distance;
		m_direction = o.m_direction;
		m_distChange = o.m_distChange;
		m_dirChange = o.m_dirChange;
		m_position = new Position(o.m_position.X, o.m_position.Y, o.m_position.dir, o.m_position.dist);
	}

	public void print()
	{
		if (m_position!=null) System.out.println("tipus="+m_type+" dist="+m_distance+" dir="+m_direction+" dist_c="+m_distChange+" dir_c="+m_dirChange+" X="+m_position.X+" Y="+m_position.Y);
		else System.out.println("tipus="+m_type+" dist="+m_distance+" dir="+m_direction+" dist_c="+m_distChange+" dir_c="+m_dirChange);		
	}
}

